package com.ozs.da.entity.dataquality;

import java.util.List;
import java.util.Map;

import io.swagger.annotations.ApiModelProperty;

/**
 * 
 * @ClassName: UpdateDataDTO
 * @Description:修改数据参数实体类
 * @author: Zhao You Kai
 * @date: Apr 4, 2019 2:53:39 PM
 */
public class UpdateDataDTO {
	@ApiModelProperty("表ID")
	private String tableId;

	@ApiModelProperty("表主键字段列表")
	private List<String> primaryColumns;
	@ApiModelProperty("表主键字段列表")
	private Map<String, Object> primaryData;
	@ApiModelProperty("修改数据字段")
	private String updateColumn;
	@ApiModelProperty("修改后数据")
	private Map<String, Object> updateData;
	

	public String getTableId() {
		return tableId;
	}

	public void setTableId(String tableId) {
		this.tableId = tableId;
	}

	public List<String> getPrimaryColumns() {
		return primaryColumns;
	}

	public void setPrimaryColumns(List<String> primaryColumns) {
		this.primaryColumns = primaryColumns;
	}

	public Map<String, Object> getPrimaryData() {
		return primaryData;
	}

	public void setPrimaryData(Map<String, Object> primaryData) {
		this.primaryData = primaryData;
	}

	public String getUpdateColumn() {
		return updateColumn;
	}

	public void setUpdateColumn(String updateColumn) {
		this.updateColumn = updateColumn;
	}

	public Map<String, Object> getUpdateData() {
		return updateData;
	}

	public void setUpdateData(Map<String, Object> updateData) {
		this.updateData = updateData;
	}

}
